Package org.drinkless.tdlib

# Class TdApi.UpdateInstalledStickerSets

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateInstalledStickerSets

Enclosing class:
  TdApi

public static class TdApi.UpdateInstalledStickerSets extends TdApi.Update
The list of installed sticker sets was updated.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long[]`
  `stickerSetIds`
  The new list of installed ordinary sticker sets.
  `TdApi.StickerType`
  `stickerType`
  Type of the affected stickers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateInstalledStickerSets()`
  The list of installed sticker sets was updated.
  `UpdateInstalledStickerSets(TdApi.StickerType stickerType, long[] stickerSetIds)`
  The list of installed sticker sets was updated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### stickerType

    public TdApi.StickerType stickerType
    Type of the affected stickers.

  - ### stickerSetIds

    public long[] stickerSetIds
    The new list of installed ordinary sticker sets.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateInstalledStickerSets

    public UpdateInstalledStickerSets()
    The list of installed sticker sets was updated.

  - ### UpdateInstalledStickerSets

    public UpdateInstalledStickerSets(TdApi.StickerType stickerType, long[] stickerSetIds)
    The list of installed sticker sets was updated.
    Parameters:
      `stickerType` - Type of the affected stickers.
      `stickerSetIds` - The new list of installed ordinary sticker sets.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR